#############################################################################
# Makefile for building: styles
# Generated by qmake (1.07a) (Qt 3.3.4) on: Sun Aug  5 19:03:14 2007
# Project:  styles.pro
# Template: subdirs
# Command: $(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile styles.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-windows \
		sub-platinum \
		sub-motifplus \
		sub-cde \
		sub-sgi \
		sub-compact

first: all

all: Makefile $(SUBTARGETS)

windows/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "windows" || $(MKDIR) "windows"
	cd windows && $(QMAKE) windows.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-windows: windows/$(MAKEFILE) FORCE
	cd windows && $(MAKE) -f $(MAKEFILE)

platinum/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "platinum" || $(MKDIR) "platinum"
	cd platinum && $(QMAKE) platinum.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-platinum: platinum/$(MAKEFILE) FORCE
	cd platinum && $(MAKE) -f $(MAKEFILE)

motifplus/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "motifplus" || $(MKDIR) "motifplus"
	cd motifplus && $(QMAKE) motifplus.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-motifplus: motifplus/$(MAKEFILE) FORCE
	cd motifplus && $(MAKE) -f $(MAKEFILE)

cde/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "cde" || $(MKDIR) "cde"
	cd cde && $(QMAKE) cde.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-cde: cde/$(MAKEFILE) FORCE
	cd cde && $(MAKE) -f $(MAKEFILE)

sgi/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "sgi" || $(MKDIR) "sgi"
	cd sgi && $(QMAKE) sgi.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-sgi: sgi/$(MAKEFILE) FORCE
	cd sgi && $(MAKE) -f $(MAKEFILE)

compact/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "compact" || $(MKDIR) "compact"
	cd compact && $(QMAKE) compact.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-compact: compact/$(MAKEFILE) FORCE
	cd compact && $(MAKE) -f $(MAKEFILE)

Makefile: styles.pro ../../../.qmake.cache /usr/lib/qt/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile styles.pro
qmake: qmake_all
	@$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile styles.pro

all: $(SUBTARGETS)
qmake_all: windows/$(MAKEFILE) platinum/$(MAKEFILE) motifplus/$(MAKEFILE) cde/$(MAKEFILE) sgi/$(MAKEFILE) compact/$(MAKEFILE)
	 ( [ -d windows ] && cd windows ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d platinum ] && cd platinum ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d motifplus ] && cd motifplus ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d cde ] && cd cde ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d sgi ] && cd sgi ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d compact ] && cd compact ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d windows ] && cd windows ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d platinum ] && cd platinum ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d motifplus ] && cd motifplus ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d cde ] && cd cde ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d sgi ] && cd sgi ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d compact ] && cd compact ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d windows ] && cd windows ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d platinum ] && cd platinum ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d motifplus ] && cd motifplus ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d cde ] && cd cde ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d sgi ] && cd sgi ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d compact ] && cd compact ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d windows ] && cd windows ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d platinum ] && cd platinum ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d motifplus ] && cd motifplus ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d cde ] && cd cde ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d sgi ] && cd sgi ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d compact ] && cd compact ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d windows ] && cd windows ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d platinum ] && cd platinum ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d motifplus ] && cd motifplus ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d cde ] && cd cde ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d sgi ] && cd sgi ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d compact ] && cd compact ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:

